Debian Bug report logs - #729595
ITP: expect-lite -- easy to use version of expect

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Craig Miller <cvmiller@gmail.com>

Date: Thu, 14 Nov 2013 17:45:02 UTC

Owned by: Craig Miller <cvmiller@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cvmiller@gmail.com, unknown-package@qa.debian.org:
Bug#729595; Package expect-lite. (Thu, 14 Nov 2013 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Miller <cvmiller@gmail.com>:
New Bug report received and forwarded. Copy sent to cvmiller@gmail.com, unknown-package@qa.debian.org. (Thu, 14 Nov 2013 17:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Craig Miller <cvmiller@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: expect-lite: Please add expect-lite package to Squeeze & Wheezy
Date: Thu, 14 Nov 2013 12:39:04 -0500
Package: expect-lite
Severity: normal

Dear Maintainer,

Please add expect-lite package to Squeeze & Wheezy

Expect-lite is build on expect and basic expect-lite scripts can be created by
simply cutting and pasting text from a terminal window into a script, and
adding '>' '<' characters.

This package is already part of the Ubuntu and Gentoo distros.

Additionally, Sergei Golovan, the maintainer of expect, has agreed to upload
the package.

I (the author and maintainer of expect-lite) will continue to maintain the
package.

thank you.



-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#729595; Package expect-lite. (Fri, 15 Nov 2013 08:36:04 GMT) Full text and rfc822 format available.

Message #8 received at 729595@bugs.debian.org (full text, mbox):

From: Andrei POPESCU <andreimpopescu@gmail.com>
To: Craig Miller <cvmiller@gmail.com>, 729595@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#729595: expect-lite: Please add expect-lite package to Squeeze & Wheezy
Date: Fri, 15 Nov 2013 10:32:41 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 wnpp
Control: retitle -1 ITP: expect-lite -- easy to use version of expect
Control: owner -1 Craig Miller <cvmiller@gmail.com>

On Jo, 14 nov 13, 12:39:04, Craig Miller wrote:
> Package: expect-lite
> Severity: normal
> 
> Dear Maintainer,
> 
> Please add expect-lite package to Squeeze & Wheezy
> 
> Expect-lite is build on expect and basic expect-lite scripts can be created by
> simply cutting and pasting text from a terminal window into a script, and
> adding '>' '<' characters.
> 
> This package is already part of the Ubuntu and Gentoo distros.
> 
> Additionally, Sergei Golovan, the maintainer of expect, has agreed to upload
> the package.
> 
> I (the author and maintainer of expect-lite) will continue to maintain the
> package.

Since you will be the Maintainer of the package I think you wanted to 
file an ITP (Intent to Package) and not an RFP (Request to package). 
Please provide also the other informations usually included in an ITP 
(see http://www.debian.org/devel/wnpp/#l2 )

Kind regards,
Andrei
-- 
http://wiki.debian.org/FAQsFromDebianUser
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
http://nuvreauspam.ro/gpg-transition.txt
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'expect-lite' to 'wnpp'. Request was from Andrei POPESCU <andreimpopescu@gmail.com> to 729595-submit@bugs.debian.org. (Fri, 15 Nov 2013 08:36:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: expect-lite -- easy to use version of expect' from 'expect-lite: Please add expect-lite package to Squeeze & Wheezy' Request was from Andrei POPESCU <andreimpopescu@gmail.com> to 729595-submit@bugs.debian.org. (Fri, 15 Nov 2013 08:36:05 GMT) Full text and rfc822 format available.

Owner recorded as Craig Miller <cvmiller@gmail.com>. Request was from Andrei POPESCU <andreimpopescu@gmail.com> to 729595-submit@bugs.debian.org. (Fri, 15 Nov 2013 08:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Craig Miller <cvmiller@gmail.com>:
Bug#729595; Package wnpp. (Fri, 15 Nov 2013 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Craig Miller <cvmiller@gmail.com>. (Fri, 15 Nov 2013 10:09:05 GMT) Full text and rfc822 format available.

Message #19 received at 729595@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andrei POPESCU <andreimpopescu@gmail.com>
Cc: Craig Miller <cvmiller@gmail.com>, <729595@bugs.debian.org>, <debian-devel@lists.debian.org>
Subject: Re: Bug#729595: expect-lite: Please add expect-lite package to Squeeze & Wheezy
Date: Fri, 15 Nov 2013 10:05:53 +0000
On 2013-11-15 8:32, Andrei POPESCU wrote:
> On Jo, 14 nov 13, 12:39:04, Craig Miller wrote:
>> Please add expect-lite package to Squeeze & Wheezy
[...]
> Since you will be the Maintainer of the package I think you wanted to
> file an ITP (Intent to Package) and not an RFP (Request to package).
> Please provide also the other informations usually included in an ITP
> (see http://www.debian.org/devel/wnpp/#l2 )

For reference, the package will also _not_ be in squeeze or wheezy, as 
they are both already released.

It could, of course, be provided via {squeeze,wheezy}-backports once 
the package makes it as far as testing.

Regards,

Adam



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729595; Package wnpp. (Fri, 15 Nov 2013 13:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Miller <cvmiller@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Nov 2013 13:42:09 GMT) Full text and rfc822 format available.

Message #24 received at 729595@bugs.debian.org (full text, mbox):

From: Craig Miller <cvmiller@gmail.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Andrei POPESCU <andreimpopescu@gmail.com>, 729595@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#729595: expect-lite: Please add expect-lite package to Squeeze & Wheezy
Date: Fri, 15 Nov 2013 08:38:26 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 15, 2013 at 5:05 AM, Adam D. Barratt
<adam@adam-barratt.org.uk>wrote:

> On 2013-11-15 8:32, Andrei POPESCU wrote:
>
>> On Jo, 14 nov 13, 12:39:04, Craig Miller wrote:
>>
>>> Please add expect-lite package to Squeeze & Wheezy
>>>
>> [...]
>
>  Since you will be the Maintainer of the package I think you wanted to
>> file an ITP (Intent to Package) and not an RFP (Request to package).
>> Please provide also the other informations usually included in an ITP
>> (see http://www.debian.org/devel/wnpp/#l2 )
>>
>
> For reference, the package will also _not_ be in squeeze or wheezy, as
> they are both already released.
>
> It could, of course, be provided via {squeeze,wheezy}-backports once the
> package makes it as far as testing.
>
> Regards,
>
> Adam
>

Thanks Adam,

Yes, I am hoping to get the expect-lite package added as backports to the
already released versions of Debian.

thanks,

Craig...
[Message part 2 (text/html, inline)]

Severity set to 'wishlist' from 'normal' Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. (Tue, 19 Nov 2013 11:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729595; Package wnpp. (Sat, 23 Nov 2013 03:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Miller <cvmiller@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 23 Nov 2013 03:06:06 GMT) Full text and rfc822 format available.

Message #31 received at 729595@bugs.debian.org (full text, mbox):

From: Craig Miller <cvmiller@gmail.com>
To: 729595@bugs.debian.org
Subject: Additional ITP information
Date: Fri, 22 Nov 2013 22:02:35 -0500
Package: expect-lite
Severity: wishlist
Owner: Craig Miller<cvmiller@gmail.com>

* Package name    : expect-lite
  Version         : 4.6.2
  Upstream Author : Craig Miller<cvmiller@gmail.com>
* URL             : http://expect-lite.sourceforge.net/
* License         : BSD-Style
  Programming Lang: TCL/expect
  Architecture    : all
  Depends         : expect, ${misc:Depends}
  Recommends      : openssh-client
  Description     : Quick and easy command line automation tool
 Written in expect, it is designed to directly map an interactive terminal
 session into an automation script. expect-lite scripts use special
 character(s) at the beginning of each line to indicate the action. Basic
 expect-lite scripts can be created by simply cutting and pasting text from a
 terminal window into a script, and adding '>''<' characters. No knowledge of
 expect is required!





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:23:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.